TransferResponseSubscription (The Data Transfer Scheduler Service 2.0.0-2.17.2 API)
Date: 2014-01-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.scheduler.impl.newhandler
Class TransferResponseSubscription

    java.lang.Object
      java.lang.Thread
          org.gcube.datatransfer.common.messaging.BrokerSubscription<TransferResponseListener>
              org.gcube.datatransfer.scheduler.impl.newhandler.TransferResponseSubscription

All Implemented Interfaces:
  Runnable, javax.jms.ExceptionListener

    public class TransferResponseSubscription

extends org.gcube.datatransfer.common.messaging.BrokerSubscription<TransferResponseListener>

Author:
  Nikolaos Drakopoulos(CERN)

Nested Class Summary

Nested classes/interfaces inherited from class org.gcube.datatransfer.common.messaging.BrokerSubscription
`org.gcube.datatransfer.common.messaging.BrokerSubscription.DestinationPair`

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class org.gcube.datatransfer.common.messaging.BrokerSubscription
`ackMode, connections, listener, messageSelectors, pair, subscriberEndpoint, transacted`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`TransferResponseSubscription(String subscriberEndpoint)`

Method Summary
`void` | `setScope(org.gcube.common.core.scope.GCUBEScope scope)`

Methods inherited from class org.gcube.datatransfer.common.messaging.BrokerSubscription
`getConnections, getDestinationPair, getListener, getMessageSelectors, onException, run, setConnections, setDestinationPair, setListener, setMessageSelectors, setupQueueSubscription, subscribe`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransferResponseSubscription

    public TransferResponseSubscription(String subscriberEndpoint)

Method Detail

### setScope

    public void setScope(org.gcube.common.core.scope.GCUBEScope scope)

  Specified by:
    `setScope` in class `org.gcube.datatransfer.common.messaging.BrokerSubscription<TransferResponseListener>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.